%define name pidgin-paranoia
%define	version	0.4.0
# %define release	%mkrel 1

Summary:	Pidgin that provides security with one-time pads
Name:		%{name}
Version:	%{version}
Release:	1%{?dist}
License:	GPL
Group:		Networking/Instant messaging
URL:		http://sourceforge.net/projects/pidgin-paranoia
Source:		%name-%version.tar.xz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pidgin-devel
Requires:	pidgin
Patch0:         no-werror-cflag.patch

%description
Pidgin that provides security with one-time pads.

%prep
%setup -q 
%patch0 -p1

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


#remove uneeded files
rm -f %{buildroot}%{_libdir}/pidgin/*.la
rm -f %{buildroot}%{_libdir}/purple-2/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/purple-2/paranoia.so
%{_datadir}/locale/*/LC_MESSAGES/pidgin-paranoia.mo

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Sat Feb 23 2013 Nick Bryda <nick@fuduntu.org> 0.4.0-1
- Package for Fuduntu

* Thu Jul 29 2010 Texstar <texstar at gmail.com> 0.4.0-1pclos2010
- create package

